﻿namespace UsefulTools.ExtensionMethods
{
    using System;

    public static class Events
    {

        public static void RaiseIfNotNull(this Action action )
        {
            if (action != null)
            {
                action();
            }
        }
        public static void RaiseIfNotNull<T>(this Action<T> action, T p1)
        {
            if (action != null)
            {
                action(p1);
            }
        }
        public static void RaiseIfNotNull<T1, T2>(this Action<T1, T2> action, T1 p1, T2 p2)
        {
            if (action != null)
            {
                action(p1,p2);
            }
        }
        public static void RaiseIfNotNull<T1, T2, T3>(this Action<T1, T2, T3> action, T1 p1, T2 p2, T3 p3)
        {
            if (action != null)
            {
                action(p1, p2, p3);
            }
        }
    }
}