﻿namespace UsefulTools.Core
{
    using System;
    using System.Threading;
    using System.Threading.Tasks;

    public interface IDispatcherExecute
    {
        void OnUIThread(Action action);

        TaskScheduler GuiScheduler { get; }

        SynchronizationContext GuiSyncContext { get; }
        void PostOnUIThread(Action action);
    }
}