﻿namespace UsefulTools.ExtensionMethods
{
    using System;

    public static class Throw
    {
        public static void If(bool condition, string message=null, string parameterName=null)
        {
            if(message == null)
            {
                message = "Object is in invalid state";
            }
            if (condition)
            {
                throw new InvalidOperationException(message);
            }
        }
        public static void IfNull<T>(T parameter, string parameterName = null ) where T : class
        {
            if (parameterName == null)
            {
                parameterName = "";
            }
            if (parameter == null)
            {
                throw new ArgumentNullException("Parameter {0} cannot be null".Formatted(parameterName));
            }
        }
    }
}